# Company Document Verification

We consider a file to be a KYB when it contains at least one company identification document.

<details>

<summary>With document files</summary>

**Endpoint** : <mark style="background-color:green;">POST /v2/clients-files/upload-files</mark>

**Headers**:

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): multipart/form-data

**Request Body**

```json
{
  "rccm": "file", // company rccm file
  "dfe": "file" // company dfe front file (not yet supported)
}
```

<mark style="color:red;">**⚠️ supported image files are: png, jpeg and jpg**</mark>

**In the v2 the body will look like this:**

```json
{
  "selfie": "file",
  "idDocumentFront": "file",
  "idDocumentBack": "file",
  "idDocumentType": "",
  "companyRccm": "file",
  "companyDfe": "file",
  "idDocument2Front": "file",
  "idDocument2Back": "file",
  "idDocument2Type": "",
  "idDocument3Front": "file",
  "idDocument3Back": "file",
  "carteGriseFront": "file",
  "carteGriseBack": "file",
  "idDocument3Type": ""
}
```

idDocumentType, idDocument2Type, idDocument3Type can be one off this value: CNI, PASSEPORT, CARTE\_RESIDENT, CARTE\_CONSULAIRE, PERMIS\_CONDUIRE, SELFIE, AUTRE, DFE, RCCM, ENTREPRENEUR\_CARD, AUTRE\_ENTREPRISE, CARTE\_GRISE

**Responses:**&#x20;

The response will correspond to a document analysis request. The response ID can be used to retrieve the analysis result later [see this page](/documentation/integration-mode/rest-api/retrieve-document-verification-result.md). The analysis result will also be sent via a webhook.

OK&#x20;

* code: 200
* body

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "id": "6d879092-5d06-4bae-b5b3-3b3321d651ef",
    "createdAt": "2024-05-27 09:58:10",
    "addedBy": {
        "apiCredentials": {
            "id": 3,
            "company": null
        }
    },
    "clientFilesToAnalyzeDocuments": [
        {
            "id": "94d4aa94-3058-4905-ac11-c000bc3b1941",
            "type": "RCCM",
            "jsonContent": null,
            "analyzed": false,
            "analyzedAt": null,
            "filesToAnalyse": [
                {
                    "id": "e3762c8d-74f3-4f70-8d92-76dfd0419d21",
                    "documentName": "document_front_file_name",
                    "extractedContent": null
                }
            ]
        }
    ]
}
</code></pre>

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.danaya.africa/documentation/integration-mode/rest-api/kyb/company-document-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
